diff -uNr 3.5/procedures/cubeinput.prc unipops-3.6/procedures/cubeinput.prc
--- 3.5/procedures/cubeinput.prc	2000-03-16 11:31:49.000000000 -0700
+++ unipops-3.6/procedures/cubeinput.prc	2008-12-29 14:36:41.000000000 -0700
@@ -38,20 +38,20 @@
 fprint(unit," ") 'N'
 #		No cube.exe debugging messages
 filename = fname(sscans)
-fprint(-1,"1x,a,a") "Input sdd file (save file) : ", filename
-fprint(unit,"1x,a") filename
+fprint(-1,"1X,A,A") "Input sdd file (save file) : ", filename
+fprint(unit,"1X,A") filename
 #		Use the current save file name as the input data file
-fprint(-1,"1x,a,1x,$") "Enter name of cube file : "
-fread(-1,"a") filename
-fprint(unit,"1x,a") filename
+fprint(-1,"1X,A,1X,$") "Enter name of cube file : "
+fread(-1,"A") filename
+fprint(unit,"1X,A") filename
 #		The user chooses the output cube name
-fprint(unit,"1x,i1") 2
+fprint(unit,"1X,I1") 2
 #		Use OBJECT of first scan as OBJECT of cube
-fprint(unit,"1x,i1") 2
+fprint(unit,"1X,I1") 2
 #		Use UTDATE of first scan as DATE of cube
-fprint(unit,"1x,i1") 2
+fprint(unit,"1X,I1") 2
 #		Use TELESCOP as ORIGIN in cube header
-fprint(unit,"1x,i1") 1
+fprint(unit,"1X,I1") 1
 #		Assume units are K.
 #		Find out the nitty gritty stuff about the scans
 nsave=1; recall
@@ -105,7 +105,7 @@
 coordtype = substr(coordcode, i, i+3)
 hourdeg = compare(coordtype,"RADC") | compare(coordtype,"HADC")
 ralike = compare(coordtype,"RADC")
-fprint(unit,"1x,i1") ctype
+fprint(unit,"1X,I1") ctype
 #			Use observed coordinate system
 if (docar) then
    fprint(unit," ") "N"
@@ -128,11 +128,11 @@
    else
       dms(xmax/15,sgn,ideg,imin,secs)
    end
-   fprint(unit,"1x,i2,x,i2,x,f5.2") ideg, imin, secs
+   fprint(unit,"1X,I2,X,I2,X,F5.2") ideg, imin, secs
 #		Value at 1st (reference) X pixel
    dms(ymin,sgn,ideg,imin,secs)
    csgn = "+"; if (sgn < 0) then; csgn = "-"; end
-   fprint(unit,"1x,a1,i2,x,i2,x,f5.2") csgn, ideg, imin, secs
+   fprint(unit,"1X,A1,I2,X,I2,X,F5.2") csgn, ideg, imin, secs
 #		Value at 1st (reference) Y pixel
    fprint(unit," ") zmin
 #		Value at 1st (reference) Z pixel
@@ -140,41 +140,41 @@
    dytmp = dytmp / 3600.0
    dms(dxtmp/15,sgn,ideg,imin,secs)
    csgn = "+"; if (sgn < 0) then; csgn = "-"; end
-   fprint(unit,"1x,a1,i2,x,i2,x,f5.2") csgn, ideg, imin, secs
+   fprint(unit,"1X,A1,I2,X,I2,X,F5.2") csgn, ideg, imin, secs
 #		X axis increment
    dms(dytmp,sgn,ideg,imin,secs)
    csgn = "+"
-   fprint(unit,"1x,a1,i2,x,i2,x,f5.2") csgn, ideg, imin, secs
+   fprint(unit,"1X,A1,I2,X,I2,X,F5.2") csgn, ideg, imin, secs
 #		Y axis increment
    fprint(unit," ") abs(dz)
 #		Z axis increment
    dms(dxtmp/30, sgn,ideg,imin,secs)
-   fprint(unit,"1x,i2,x,i2,x,f5.2") ideg, imin, secs
+   fprint(unit,"1X,I2,X,I2,X,F5.2") ideg, imin, secs
 #		Allowable error in X axis (dxtmp/2)
    dms(dytmp/2, sgn,ideg,imin,secs)
-   fprint(unit,"1x,i2,x,i2,x,f5.2") ideg, imin, secs
+   fprint(unit,"1X,I2,X,I2,X,F5.2") ideg, imin, secs
 #		Allowable error in Y axis (dy/2)
    fprint(unit," ") abs(dz/2)
 #		Allowable error in Z axis (dz/2)
 else
 #		if not hourdeg, can not be ralike, all axis positive incr.
-   fprint(unit,"1x,f10.5") xmin
+   fprint(unit,"1X,F10.5") xmin
 #		Value at 1st (reference) X pixel
-   fprint(unit,"1x,f9.5") ymin
+   fprint(unit,"1X,F9.5") ymin
 #		Value at 1st (reference) Y pixel
    fprint(unit," ") zmin
 #		Value at 1st (reference) Z pixel
    dxtmp = dxtmp / 3600.0
    dytmp = dytmp / 3600.0
-   fprint(unit,"1x,f10.5") dxtmp
+   fprint(unit,"1X,F10.5") dxtmp
 #		X axis increment
-   fprint(unit,"1x,f9.5") dytmp
+   fprint(unit,"1X,F9.5") dytmp
 #		Y axis increment
    fprint(unit," ") dz
 #		Z axis increment
-   fprint(unit,"1x,f9.5") dxtmp/2
+   fprint(unit,"1X,F9.5") dxtmp/2
 #		Allowable error in X axis (dxtmp/2)
-   fprint(unit,"1x,f8.5") dytmp/2
+   fprint(unit,"1X,F8.5") dytmp/2
 #		Allowable error in Y axis (dy/2)
    fprint(unit," ") abs(dz/2)
 #		Allowable error in Z axis (dz/2)
@@ -182,16 +182,16 @@
 nx = nint((xmax-xmin)/abs(dxtmp) + 1)
 ny = nint((ymax-ymin)/dytmp + 1)
 nz = nint((zmax-zmin)/abs(dz) + 1)
-fprint(unit,"1x,i") nx
-fprint(unit,"1x,i") ny
-fprint(unit,"1x,i") nz
+fprint(unit,"1X,I") nx
+fprint(unit,"1X,I") ny
+fprint(unit,"1X,I") nz
 #		Number of pixels on each axis
 if (~ docar) then
    if (hourdeg) then
       dms(xcent/15,sgn,ideg,imin,secs)
-      fprint(unit,"1x,i2,x,i2,x,f5.2") ideg, imin, secs
+      fprint(unit,"1X,I2,X,I2,X,F5.2") ideg, imin, secs
    else
-      fprint(unit,"1x,f10.5") xcent
+      fprint(unit,"1X,F10.5") xcent
    end
 end
 #		The reference X position for the GLS projection
@@ -199,10 +199,10 @@
 fprint(unit," ") " "
 fprint(unit," ") " "
 #			No comments
-fprint(unit,"1x,i1") 0
-fprint(unit,"1x,i1") 0
-fprint(unit,"1x,i1") 0
-fprint(unit,"1x,i1") 0
+fprint(unit,"1X,I1") 0
+fprint(unit,"1X,I1") 0
+fprint(unit,"1X,I1") 0
+fprint(unit,"1X,I1") 0
 #			Full scan and feed number range
 #
 fclose(unit)
diff -uNr 3.5/procedures/ffbdata.prc unipops-3.6/procedures/ffbdata.prc
--- 3.5/procedures/ffbdata.prc	1969-12-31 17:00:00.000000000 -0700
+++ unipops-3.6/procedures/ffbdata.prc	2008-12-29 14:36:49.000000000 -0700
@@ -0,0 +1,15 @@
+procedure ffbdata
+#  Switch to Forbes Filter Bank Data Stream, leave file version as is, set prompt
+#  Erroff is used so that this sets prompt and spectype even if no online data
+global scalar spectype
+if (status(15) = TRUE) then
+#   if online data is available, try and change to ffbtype
+   erroff
+   chngonline(ffbtype, ffb_ver)
+   erron
+end
+prompt = "LineF>"
+spectype = ffbtype
+histogram
+return
+finish
diff -uNr 3.5/procedures/testscn.prc unipops-3.6/procedures/testscn.prc
--- 3.5/procedures/testscn.prc	2000-03-16 11:31:55.000000000 -0700
+++ unipops-3.6/procedures/testscn.prc	2008-12-29 14:36:47.000000000 -0700
@@ -165,9 +165,9 @@
    if (totswvar > 0) then
       for i_loop = 1 to totswvar
           offset = (i_loop - 1) * 6
-          fprint(-1,"(x,a6,i2.2,a2,1pg15.8.2)") "varval",i_loop," ",h0(varval01+offset)
-          fprint(-1,"(x,a6,i2.2,a2,a8)") "vardes",i_loop," ",h0(vardes01+offset)
-          fprint(-1,"(x,a6,i2.2,a2,a32)") "phastb",i_loop," ",h0(phastb01+offset)
+          fprint(-1,"(X,A6,I2,A2,1PG15.8E2)") "varval",i_loop," ",h0(varval01+offset)
+          fprint(-1,"(X,A6,I2,A2,A8)") "vardes",i_loop," ",h0(vardes01+offset)
+          fprint(-1,"(X,A6,I2,A2,A32)") "phastb",i_loop," ",h0(phastb01+offset)
       end
    end
 else
@@ -177,9 +177,9 @@
    if (totswvar > 0) then
       for i_loop = 0 to (totswvar-1)
           offset = i_loop * 3
-          fprint(-1,"(x,a10,i2,a2,1pg15.7.2)") " varval + ",i_loop," ",h0(varval+offset)
-          fprint(-1,"(x,a10,i2,a2,a8)") " vardes + ",i_loop," ",h0(vardes+offset)
-          fprint(-1,"(x,a10,i2,a2,a8)") " phastb + ",i_loop," ",h0(phastb+offset)
+          fprint(-1,"(X,A10,I2,A2,1PG15.7E2)") " varval + ",i_loop," ",h0(varval+offset)
+          fprint(-1,"(A,A10,I2,A2,A8)") " vardes + ",i_loop," ",h0(vardes+offset)
+          fprint(-1,"(X,A10,I2,A2,A8)") " phastb + ",i_loop," ",h0(phastb+offset)
       end
    end
 end
diff -uNr 3.5/procedures/testscn2.prc unipops-3.6/procedures/testscn2.prc
--- 3.5/procedures/testscn2.prc	2000-03-16 11:31:55.000000000 -0700
+++ unipops-3.6/procedures/testscn2.prc	2008-12-29 14:36:47.000000000 -0700
@@ -163,7 +163,7 @@
    totswvar = min(h0(noswvar)+h0(noswvarf),10)
    ? '-------- Displaying ',totswvar,' switching var. info'
    if (totswvar > 0) then
-      fmt1 = "(x,a6,i2.2,a2,1pg15.7.2,2x,g15.7.2)"
+      fmt1 = "(x,a6,i2.2,a2,1PG15.7E2,2x,G15.7E2)"
       fmt2 = "(x,a6,i2.2,a2,a8,2x,a8)"
       fmt3 = "(x,a6,i2.2,a2,a32,2x,a32)"
       for i_loop = 1 to totswvar
@@ -178,7 +178,7 @@
    totswvar = min(h0(noswvar),22)
    ? '-------- Displaying ',totswvar,' switching var. info'
    if (totswvar > 0) then
-      fmt1 = "(x,a10,i2,a2,1pg15.7.2,g15.7.2)"
+      fmt1 = "(x,a10,i2,a2,1PG15.7E2,G15.7E2)"
       fmt2 = "(x,a10,i2,a2,a8,2x,a8)"
       for i_loop = 0 to (totswvar-1)
          offset = i_loop * 3
diff -uNr 3.5/source/conline/line/accums.f unipops-3.6/source/conline/line/accums.f
--- 3.5/source/conline/line/accums.f	2000-03-16 11:34:05.000000000 -0700
+++ unipops-3.6/source/conline/line/accums.f	2008-12-29 14:39:22.000000000 -0700
@@ -4,8 +4,8 @@
 C-------------------------------------------------------------------------------
 c
       real*4 XSCALE, newscale, oldscale, rinfinity 
-      integer*2 iptwh, jj, lk, ierr
-      INTEGER*4 ISTART, ISTOP, istarthold, istophold
+      integer*2 iptwh, jj, lk
+      INTEGER*4 ISTART, ISTOP, istarthold, istophold, ierr
       logical okreal4
 c
       INCLUDE 'cform.inc'
@@ -34,7 +34,7 @@
 c
       IF (NACCUM.EQ.0) then
 c
-        CALL COPY2(HDU_FLOAT_SIZE*2,iTWH(1,IPTWH),IACCUM(1))
+        CALL COPY2(HDU_FLOAT_SIZE*2,ITWH(1,IPTWH),IACCUM(1))
 c
         DACCUM(c12WT) = XSCALE
         DACCUM(c13NS)=1.
@@ -54,6 +54,7 @@
 c
         oldscale = daccum(c12wt)
  	newscale = DACCUM(c12WT) + XSCALE
+c
         DACCUM(c12WT) = newscale
         DACCUM(c13NS) = DACCUM(c13NS) + 1.0
         DACCUM(c13LS) = DTWH(c1SNO,iptwh)
diff -uNr 3.5/source/conline/line/au1.f unipops-3.6/source/conline/line/au1.f
--- 3.5/source/conline/line/au1.f	2000-03-16 11:34:06.000000000 -0700
+++ unipops-3.6/source/conline/line/au1.f	2008-12-29 14:39:22.000000000 -0700
@@ -16,10 +16,10 @@
       include 'stk.inc'
 c
       integer*2 j, itemp, iwork, ihold, iptwh, jj, iarrayout, 
-     .          iarrayin, isave, imagic, ifil, ier
+     .          iarrayin, isave, imagic, ifil
       integer*2 m1, m2, m3, n80, n105, n112, n120, n224, n226,
-     .          n232, n263, n367
-      integer*4 onlinesite, idtype, iver
+     .          n232, n263, n367, ier
+      integer*4 onlinesite, idtype, iver, ierr
       real*4 fscan, scan, icur
       character*60 errstr
 c
@@ -171,14 +171,14 @@
 C							  RECALL
 C---------------------------------------------------------------------
  150  CONTINUE
-      ISAVE=nint(NSAVE)
+      ISAVE=int2(nint(NSAVE))
       call getbyloc(dtwh(1,iptwh),isave,imagic,iounit(3),ciounit(3),ier)
       if (ier .lt. 0) then
          call oerror(-ier, m1, 'RECALL')
       else if (ier .gt. 0) then
          if (ier .eq. 368 .or. ier .eq. 371) then
             write(errstr, 1510) isave
- 1510       format('NSAVE ',i,' : RECALL')
+ 1510       format('NSAVE ',i1,' : RECALL')
          else
             write(errstr, 1520)
  1520       format('RECALL')
@@ -189,7 +189,7 @@
 C---------------------------------------------------------------------
 C							  SAVE
 C---------------------------------------------------------------------
- 160  isave = nint(nsave)
+ 160  isave = int2(nint(nsave))
 c
       if (itwh(1,iwork) .eq. 0) call oerror(n224, m2, 'SAVE')
 c     Needs a scan to be in array to be saved
@@ -215,7 +215,7 @@
       else if (ier .gt. 0) then
          if (ier .eq. 355) then
             write(errstr, 1630) isave
- 1630       format('Data exists at ',i,
+ 1630       format('Data exists at ',i1,
      .             ' .... can not overwrite! : SAVE')
          else
             write(errstr, 1620)
@@ -292,17 +292,18 @@
 C---------------------------------------------------------------------
 C					  CHECK
 C---------------------------------------------------------------------
- 70   ISAVE=nint(NSAVE)
+ 70   ISAVE=int2(nint(NSAVE))
       call checkbyloc(isave, iounit(3), ciounit(3), scan, ier)
       if (ier .lt. 0) then
 	call oerror(-ier, m1, 'CHECK')
       else if (ier .gt. 0) then
 	call oerror(ier, m2, 'CHECK')
       else 
+         ierr = int(ier)
 	if (scan .gt. 0) then
-	   WRITE (CPUF,73,IOSTAT=IER) ISAVE, SCAN
+	   WRITE (CPUF,73,IOSTAT=IERR) ISAVE, SCAN
         else
-           WRITE (CPUF,74,IOSTAT=IER) ISAVE
+           WRITE (CPUF,74,IOSTAT=IERR) ISAVE
 	endif
       endif
       CALL PWRITE (IPUF,n80)
@@ -359,11 +360,11 @@
       else if (ier .gt. 0) then
          if (ier .eq. 362) then
             write(errstr, 2811) nint(fscan)
- 2811       format('Subscan ',i,' : CGGET')
+ 2811       format('Subscan ',i1,' : CGGET')
          else if (ier .eq. 371) then
             ier = 357
             write(errstr, 2812) nint(fscan)
- 2812       format('Subscan ',i,
+ 2812       format('Subscan ',i1,
      .             ' is not a valid subscan number : CGGET')
          else
             write(errstr, 2813)
diff -uNr 3.5/source/conline/line/au2.F unipops-3.6/source/conline/line/au2.F
--- 3.5/source/conline/line/au2.F	2000-03-16 11:34:07.000000000 -0700
+++ unipops-3.6/source/conline/line/au2.F	2008-12-29 14:39:22.000000000 -0700
@@ -13,10 +13,10 @@
       INCLUDE 'appl.inc'
 c
       INTEGER*2 IPUF(40), j, iptwh, inn, ierr, lxa1, ishift,
-     .          istart, istop, n, ier, nchn, num, ntmp
+     .          istart, istop, n, nchn, num, ntmp
       integer*4 itemp, jj, istart0, istop0, istart1, istop1, lim1, lim2,
      .          lim, i, jj1, ib, ie, ll, i1, i2, ijk, ist, isp, ii,
-     .          ibad, iswtch, ilist(4), ii2, in, jcnt
+     .          ibad, iswtch, ilist(4), ii2, in, jcnt, ier
       integer*2 n224, m2, n120, m3, n238, n293, n227, n223, n228, n225,
      .		n288, n222, n292, n235, n80, n249, n251, n252, n253,
      .		n230, n248, n112, m1, n0, n3, n270, n268
@@ -25,8 +25,9 @@
      .	     tvel, rmaxnormal, rminnormal, rinfinity, centchan
       logical*4 invers
       logical okarray, okreal4, first
-      real*8 t12m, numaa1, numaa2, mag2, chantox
+      real*8 value12m, valuesmt, numaa1, numaa2, mag2, chantox
       CHARACTER*80 CPUF
+      character*8 t12m, smt
 c
 #ifdef CONTINUUM
 #else
@@ -41,6 +42,10 @@
       include 'core.inc'
 c
       equivalence (ipuf, cpuf)
+c     we need these equivalences, because g77 can't declare chars as reals
+c     (ex. NRAO declared t12m as a real*8; we have to have it as char*8)
+      equivalence (t12m, value12m)
+      equivalence (smt, valuesmt)
 c
 #ifdef CONTINUUM
 #else
@@ -49,6 +54,7 @@
 c
       DATA ITEMP /2/
       data t12m/'NRAO 12M'/
+      data smt/'ARO-HHT'/
       data n224/224/, m2/-2/, n120/120/, m3/-3/, n238/238/, n293/293/,
      .	   n227/227/, n223/223/, n228/228/, n225/225/,  n288/288/, 
      .	   n222/222/, n292/292/, n235/235/, n80/80/,  n249/249/,  
@@ -78,7 +84,8 @@
 c
       setrst = .true.
       useeff = .true.
-      if(dtwh(c1tel,iptwh).eq.t12m .or. 
+      if(dtwh(c1tel,iptwh).eq.value12m .or. 
+     .   dtwh(c1tel,iptwh).eq.valuesmt .or.
      .   .not. okreal8(dtwh(c12eit,iptwh))) useeff = .false.
 c
       if (useeff) then
@@ -164,7 +171,8 @@
       endif
 #else
       useeff = .true.
-      if(dtwh(c1tel,iptwh).eq.t12m .or. 
+      if(dtwh(c1tel,iptwh).eq.value12m .or. 
+     .   dtwh(c1tel,iptwh).eq.valuesmt .or.
      .	 .not. okreal8(dtwh(c12eit,iptwh)) ) useeff = .false.
 c
       IF (NACCUM.ne.1) then
@@ -203,7 +211,7 @@
 c
       call copy2(HDU_FLOAT_SIZE*2, IACCUM(1), itwh(1,iptwh))
 c
-      NACCUM=0
+      NACCUM = 0
       weight = 1
 c
       GO TO 99
@@ -366,6 +374,8 @@
 c
       size(1) = x
       size(2) = y / x
+      write(*,103) size(1), size(2)
+ 103  format("moments = ",f8.4,f8.4)
 #endif
 c
       GO TO 99
@@ -900,7 +910,8 @@
 C-----------------------------------------------------------------------
   250 CONTINUE
 c
-      if (dtwh(c1tel,iptwh) .ne. t12m) call oerror(n248, m2, 'PDOC')
+      if (dtwh(c1tel,iptwh) .ne. value12m .or.
+     .    dtwh(c1tel,iptwh) .ne. valuesmt) call oerror(n248, m2, 'PDOC')
 c
       do 2509 i1 = 1, 10
          if (.not.okreal4(twh(idatoff+i1,iptwh))) 
@@ -946,7 +957,7 @@
             write(cpuf, 1252, iostat=ier)
      .         (chshifts(ilist(ii2),1), chshifts(ilist(ii2), 2), 
      .         ii2=1,(ii-1))
- 1252 format(4(x,f8.2,x,f6.1,2x))
+ 1252 format(4(1x,f8.2,1x,f6.1,2x))
             call pwrite(ipuf, n80)
  251     continue
       endif
diff -uNr 3.5/source/conline/line/au3.f unipops-3.6/source/conline/line/au3.f
--- 3.5/source/conline/line/au3.f	2000-03-16 11:34:12.000000000 -0700
+++ unipops-3.6/source/conline/line/au3.f	2008-12-29 14:39:22.000000000 -0700
@@ -9,7 +9,7 @@
 c
       integer*2 j, iptwh, jj, istart, istop, i, ier, ix, iy, isort, i2,
      .		kk, ip, median, in, inn, md2
-      integer*4 I4, mdsize
+      integer*4 I4, mdsize, ierr
       integer*2 n0, n80, n120, n225, n237, n242, n297, n298, m3, m2
       integer*2 n25, n780, n1, n33, n268
       logical isfirst, okreal4
@@ -142,7 +142,7 @@
 54	    continue
       SUM=SUM2-SUM*SUM/TOTAL
       VRMS=SQRT(SUM/(TOTAL-1.0))
-      WRITE (CPUF,2000,IOSTAT=IER) VRMS
+      WRITE (CPUF,2000,IOSTAT=IERR) VRMS
       CALL PWRITE (IPUF,n80)
  2000 FORMAT(1X,'RMS VALUE',F8.4)
       GO TO 99
diff -uNr 3.5/source/conline/line/au4.F unipops-3.6/source/conline/line/au4.F
--- 3.5/source/conline/line/au4.F	2000-03-16 11:34:13.000000000 -0700
+++ unipops-3.6/source/conline/line/au4.F	2008-12-29 14:39:22.000000000 -0700
@@ -8,8 +8,8 @@
 c
 C-----------------------------------------------------------------
 c
-      INTEGER*2 iptwh, iy, itmp, short, nchan, ix, ier, j, ilct,
-     .          ichar, iyz, ixy, ipixel, sclc, color, ierr, nplot, 
+      INTEGER*2 iptwh, iy, itmp, short, nchan, ix, j, ilct,
+     .          ichar, iyz, ixy, ipixel, sclc, color, nplot, 
      .		curcur
       integer*2 n0, n1, n8, n10, n33, n112, n120, n222, n245, n299,
      .		n2, n5, n9, n14, n25, n50, m1, m2, m3, m16, n3,
@@ -18,7 +18,7 @@
      .		huered 
       character*10 getformat, format, stch
       integer*4 ialt, ibx, istart1, istart2, istop1, istop2,
-     .		jj, i
+     .		jj, i, ier
       real*8 chantox, xtochan
       logical okarray, seton, okreal8
 c
@@ -26,7 +26,7 @@
 c
       double precision dtmphdr(PADDED_HDR_SIZE)
       real rtmphdr(PADDED_HDR_SIZE*2)
-      integer*2 itmphdr(PADDED_HDR_SIZE*4), cflag
+      integer*2 itmphdr(PADDED_HDR_SIZE*4), cflag, ierr
       equivalence (dtmphdr, rtmphdr), (dtmphdr, itmphdr)
 c
       INCLUDE 'mappl.inc'
@@ -277,23 +277,23 @@
 c
       if (xorg(curcur()) .lt. xorg0) then
 	xorg(curcur()) = xorg0
-        write(stch,71,iostat=ierr) xorg0
+        write(stch,71,iostat=ier) xorg0
 71	format(i10)
 	call oerror(n245, n0, 'SETPAGE:  Setting X-origin to ' // stch)
       endif
       if (yorg(curcur()) .lt. yorg0) then
 	yorg(curcur()) = yorg0
-        write(stch,71,iostat=ierr) yorg0
+        write(stch,71,iostat=ier) yorg0
 	call oerror(n245, n0, 'SETPAGE:  Setting Y-origin to ' // stch)
       endif
       if (xmax(curcur()) .gt. xmax0) then
 	xmax(curcur()) = xmax0
-        write(stch,71,iostat=ierr) xmax0
+        write(stch,71,iostat=ier) xmax0
 	call oerror(n245, n0, 'SETPAGE:  Setting X-max to ' // stch)
       endif
       if (ymax(curcur()) .gt. ymax0) then
 	ymax(curcur()) = ymax0
-        write(stch,71,iostat=ierr) ymax0
+        write(stch,71,iostat=ier) ymax0
 	call oerror(n245, n0, 'SETPAGE:  Setting Y-max to ' // stch)
       endif
 c
diff -uNr 3.5/source/conline/line/au5.f unipops-3.6/source/conline/line/au5.f
--- 3.5/source/conline/line/au5.f	2000-03-16 11:34:16.000000000 -0700
+++ unipops-3.6/source/conline/line/au5.f	2008-12-29 14:39:22.000000000 -0700
@@ -13,14 +13,14 @@
 C-----------------------------------------------------------------------
 c
       integer*2 j, iptwh, iarrayin, iarrayout, i1, i2, j1, j2, irealp,
-     .		ierr, jj, numlevs, loc, itype, isize, curcur, 
+     .		jj, numlevs, loc, itype, isize, curcur, 
      .		itable, face, i3
       integer*2 m1, m2, m3, n0, n80, n112, n120, n254, n255, n256, n257,
      .          n258, n259, n264, n296, nconj, n272, n1, n2, n3, n4, n5,
      .		n267, n252, n274, n275
       integer*2 is1, n25, n780, ixmin, iymin, ixmax, iymax, ntick, col, 
-     .		row
-      integer*4 istart, istop, numx, numy, istart1, i, x1, x2 
+     .		row, ierr
+      integer*4 istart, istop, numx, numy, istart1, i, x1, x2 , ier
       integer*4 l1, long, ilct, numx1, numy1, numtot, numtot1
       real value, zmin, zmax, zdiff, percents(32), mratio1, cfactor,
      .	   mtemp, rstch(10), xmn, xmx, ymn, ymx, nyqrate, dishdia,
@@ -316,27 +316,27 @@
       endif
       if (mxmax .gt. mhead(mnaxis1,iptwh) .or. mxmax .le. 0.5) then
 	mxmax = nint(mhead(mnaxis1,iptwh))
-        write(stch,71,iostat=ierr) nint(mxmax)
+        write(stch,71,iostat=ier) nint(mxmax)
 71	format(i10)
 	call oerror(n258, n0, 'MRANGE:  Setting MXMAX to ' // stch(1:10))
       endif
       if (mymax .gt. mhead(mnaxis2,iptwh) .or. mymax .le. 0.5) then
 	mymax = nint(mhead(mnaxis2,iptwh))
-        write(stch,71,iostat=ierr) nint(mymax)
+        write(stch,71,iostat=ier) nint(mymax)
 	call oerror(n258, n0, 'MRANGE:  Setting MYMAX to ' // stch(1:10))
       endif
       if (mxmin .eq. mxmax) then
 	mxmin = 1.
 	mxmax = nint(mhead(mnaxis1,iptwh))
 	call oerror(n258, n0, 'MRANGE: Setting MXMIN to 1')
-        write(stch,71,iostat=ierr) nint(mxmax)
+        write(stch,71,iostat=ier) nint(mxmax)
 	call oerror(n258, n0, 'MRANGE:  Setting MXMAX to ' // stch(1:10))
       endif
       if (mymin .eq. mymax) then
 	mymin = 1.
 	mymax = nint(mhead(mnaxis2,iptwh))
 	call oerror(n258, n0, 'MRANGE: Setting MYMIN to 1')
-        write(stch,71,iostat=ierr) nint(mymax)
+        write(stch,71,iostat=ier) nint(mymax)
 	call oerror(n258, n0, 'MRANGE:  Setting MYMAX to ' // stch(1:10))
       endif
 c     If any input parameter is out of range, reset to default value
@@ -898,16 +898,16 @@
       ymx = chantox(m1, mhead(1,1), float(iymax), ierr)
 c     Fins max/min values in matrix -- skip over undefined points
 c
-      write(stch,211,iostat=ierr) cmhead(mbunit,iptwh), 
+      write(stch,211,iostat=ier) cmhead(mbunit,iptwh), 
      .		cmhead(mtype1,iptwh), cmhead(mtype2,iptwh)
 211   format(t12, a, t30, a, t46, a, t64, 'Pixels')
       call pwrite(rstch,n80)
 c
-      write(stch,201,iostat=ierr) 'Min. = ',zmin,xmn,ymn,ixmin,iymin 
+      write(stch,201,iostat=ier) 'Min. = ',zmin,xmn,ymn,ixmin,iymin 
       call pwrite(rstch,n80)
 201   format(a, 1pg15.7, ' at (', g15.7, ',', g15.7, 
      .	     ') (', i4, ',', i4, ')')
-      write(stch,201,iostat=ierr) 'Max. = ',zmax,xmx,ymx,ixmax,iymax
+      write(stch,201,iostat=ier) 'Max. = ',zmax,xmx,ymx,ixmax,iymax
       call pwrite(rstch,n80)
 c
       mlims(1,1)=zmin
@@ -1343,11 +1343,11 @@
      .				call oerror(n112, m2, 'PUTROW')
 c
       if (istop .gt. numx ) then
-	write(stch,'(i5)',iostat=ierr) numx
+	write(stch,'(i5)',iostat=ier) numx
 	call oerror(n267, n0, 'PUTROW: Using the first ' // stch(1:5) // 
      .				' values in Array 0')
       else if (istop .lt. numx ) then
-	write(stch,'(i5)',iostat=ierr) istop
+	write(stch,'(i5)',iostat=ier) istop
 	call oerror(n267, n0, 'PUTROW: Setting the first ' // stch(1:5) // 
      .				' in the row of Matrix 0')
       endif
@@ -1396,11 +1396,11 @@
      .				call oerror(n112, m2, 'PUTCOL')
 c
       if (istop .gt. numy ) then
-	write(stch,'(i5)',iostat=ierr) numy
+	write(stch,'(i5)',iostat=ier) numy
 	call oerror(n267, n0, 'PUTCOL: Using the first ' // stch(1:5) // 
      .				' values in Array 0')
       else if (istop .lt. numy ) then
-	write(stch,'(i5)',iostat=ierr) istop
+	write(stch,'(i5)',iostat=ier) istop
 	call oerror(n267, n0, 'PUTCOL: Setting the first ' // stch(1:5) // 
      .				' in the column of Matrix 0')
       endif
@@ -1449,11 +1449,11 @@
      .				call oerror(n112, m2, 'GETROW')
 c
       if (istop .gt. numx ) then
-	write(stch,'(i5)',iostat=ierr) numx
+	write(stch,'(i5)',iostat=ier) numx
 	call oerror(n267, n0, 'GETROW: Setting the first ' // stch(1:5) // 
      .				' values in Array 0')
       else if (istop .lt. numx ) then
-	write(stch,'(i5)',iostat=ierr) istop
+	write(stch,'(i5)',iostat=ier) istop
 	call oerror(n267, n0, 'GETROW: Using the first ' // stch(1:5) // 
      .				' in the row of Matrix 0')
       endif
@@ -1504,11 +1504,11 @@
      .				call oerror(n112, m2, 'GETCOL')
 c
       if (istop .gt. numy ) then
-	write(stch,'(i5)',iostat=ierr) numy
+	write(stch,'(i5)',iostat=ier) numy
 	call oerror(n267, n0, 'GETCOL: Setting the first ' // stch(1:5) // 
      .				' values in Array 0')
       else if (istop .lt. numy ) then
-	write(stch,'(i5)',iostat=ierr) istop
+	write(stch,'(i5)',iostat=ier) istop
 	call oerror(n267, n0, 'GETCOL: Using the first ' // stch(1:5) // 
      . 				' in the row of Matrix 0')
       endif
diff -uNr 3.5/source/conline/line/au6.F unipops-3.6/source/conline/line/au6.F
--- 3.5/source/conline/line/au6.F	2000-03-16 11:34:26.000000000 -0700
+++ unipops-3.6/source/conline/line/au6.F	2008-12-29 14:39:22.000000000 -0700
@@ -10,9 +10,10 @@
       integer*2 mmax
       parameter (mmax=80)
       integer*2 j, iptwh, i, istrt, istp, jj,  sclc,
-     .          kount, ierr, ix, iystrt, iy, ier,  ipixel, lxa1
+     .          kount, ierr, ix, iystrt, iy, ipixel, lxa1
       integer*2 m2, m3, n0, n1, n80, n120, n225, n289, n290, n298
       integer*2 n25, n780, n272, n295, n282, n33
+      integer*4 ier
       logical isfirst, okarray, okreal4
       REAL hw, cnt, s, ajj,covar(mmax,mmax),lcoef(mmax),
      .	   alph(mmax,mmax), chisq, alamda, alamda1, chisq1, constant
diff -uNr 3.5/source/conline/line/au8.F unipops-3.6/source/conline/line/au8.F
--- 3.5/source/conline/line/au8.F	2000-03-16 11:34:30.000000000 -0700
+++ unipops-3.6/source/conline/line/au8.F	2008-12-29 14:39:22.000000000 -0700
@@ -8,13 +8,16 @@
 c
 C---------------------------------------------------------------------
 C
-      real*8 source(2), dat, nrao12m, nrao140, nrao300, ctype(6), 
-     .       ctype2(8), dfreq, osb, b8, fshift
+      real*8 source(2), dat, dfreq, fshift, value12m, value140, 
+     .       value300, valuetype(6), valuetype2(8), valueosb, valueb8,
+     .       valuesmt
+      character*8  ctype(6), ctype2(8), osb, b8, nrao12m, nrao140, 
+     .       nrao300, smt
       real*4 LST, sincr, sbscan, si, sescan, ra,
      .       bw, scan, xcoord, ycoord, sa, se, decx, cosd, dco,
      .       rrao, rdco, re, rao
-      integer*2 ier, j, iptwh, imon, iday, iyr
-      integer*4 isb, ih, im, is, k1, icor1, icdtype, jj, ian, ia, i
+      integer*2 j, iptwh, imon, iday, iyr
+      integer*4 ier, isb, ih, im, is, k1, icor1, icdtype, jj, ian, ia, i
       integer*2 m1, m2, m3, n0, n1, n2, n80, n90, n112, n120, n224,
      .          n231, n239, n248, n281, n283
 #ifdef CONTINUUM
@@ -34,6 +37,16 @@
 c
       EQUIVALENCE (CPUF,IPUF)
       EQUIVALENCE (SOURCE,BSORCE)
+c     we need these equivalences, because g77 can't declare chars as reals
+c     (ex. NRAO declared nrao12m as a real*8; we have to have it as char*8)
+      equivalence (nrao12m, value12m)
+      equivalence (nrao140, value140)
+      equivalence (nrao300, value300)
+      equivalence (smt, valuesmt)
+      equivalence (ctype, valuetype)
+      equivalence (ctype2, valuetype2)
+      equivalence (osb, valueosb)
+      equivalence (b8, valueb8)
 #ifdef CONTINUUM
       equivalence (obsmode, robsmode)
 #endif
@@ -41,7 +54,8 @@
       save icor1
 c
       DATA nrao12m/'NRAO 12M'/, nrao140/'NRAO 43M'/, nrao300/'NRAO 93M'/
-      data ctype/2*'        ','EPOCRADC','GALACTIC','AZEL    ',
+      data smt/'ARO-HHT'/
+      data ctype/'        ','        ','EPOCRADC','GALACTIC','AZEL    ',
      .             'INDICATD'/
       data ctype2/'1950RADC','EPOCRADC','MEANRADC','APPRADC','APPHADC',
      2		  'USERDEF','2000RADC','INDRADC'/
@@ -163,29 +177,30 @@
   231    SOURCE(I)=DTWH(C1SNA+I-1,IPTWH)
       BW=abs(DTWH(C12FR,IPTWH))
       SCAN=DTWH(C1SNO,IPTWH)
-      if(dtwh(c1tel,iptwh).eq.nrao12m) then
+      if(dtwh(c1tel,iptwh).eq.value12m .or. 
+     .   dtwh(c1tel,iptwh).eq.valuesmt) then
          isb = int(dtwh(c9sb,iptwh))
 #ifdef CONTINUUM
          robsmode = dtwh(c1stc, iptwh)
          write(cpuf, 5000) scan, source, ih, im,
      .                dtwh(c12rf, iptwh), obsmode(5:8)
- 5000    format(x,f8.2,x,2a8,' LST=',i4,':',i2,' FREQ=',f11.4,x,a4)
+ 5000    format(1x,f8.2,1x,2a8,' LST=',i4,':',i2,' FREQ=',f11.4,1x,a4)
 #else
          WRITE(CPUF,5000,IOSTAT=IER) SCAN,source, ih, im,
      .               DTWH(C12RF,IPTWH),nint(bw*1000.),isb
- 5000    FORMAT(x,f8.2,x,2a8,' LST=',i4,':',i2,' FREQ=',F11.4,' RES=',
+ 5000    FORMAT(1x,f8.2,1x,2a8,' LST=',i4,':',i2,' FREQ=',F11.4,' RES=',
      .          i4,' SB=',i2)
 #endif
       else
 #ifdef CONTINUUM
          write(cpuf,5001) scan, source, ih, im,
      .			dtwh(c12ct,iptwh),bw
- 5001    format(x,f8.2,x,2a8,' LST=',i4,':',i2,' NT=',f11.4,
+ 5001    format(1x,f8.2,1x,2a8,' LST=',i4,':',i2,' NT=',f11.4,
      1       ' CALFCT=',1pg11.4)
 #else
          write(cpuf,5001) scan, source, ih, im,
      .			dtwh(c12rf,iptwh),bw
- 5001    format(x,f8.2,x,2a8,' LST=',i4,':',i2,' FREQ=',f11.4,
+ 5001    format(1x,f8.2,1x,2a8,' LST=',i4,':',i2,' FREQ=',f11.4,
      1       ' RES=',1pg11.4)
 #endif
       endif
@@ -235,15 +250,15 @@
       ycoord = dtwh(c4sx + icor1, iptwh)
 c
       do 233 icdtype = 1, 8
-	 if (dtwh(c4csc,iptwh) .eq. ctype2(icdtype)) then
+	 if (dtwh(c4csc,iptwh) .eq. valuetype2(icdtype)) then
       		CALL RNS(xcoord,n2,RSTRNG)
         	CALL RNS(ycoord,n1,DSTRNG)
 c
         	WRITE(CPUF,6002,IOSTAT=IER) SCAN,(BSORCE(I),I=1,12),
      .               iyr, imon,iday,(RSTRNG(i),i=2,6),(DSTRNG(i),i=1,5),
      .               im,is,dfreq
- 6002   	FORMAT (f8.2,x,12a1,x,i4,'-',i2.2,'-',i2.2,x,5A2,5A2,
-     .                  x,i3,':',i2.2,x,F11.4)
+ 6002   	FORMAT (f8.2,1x,12a1,1x,i4,'-',i2.2,'-',i2.2,1x,5A2,5A2,
+     .                  1x,i3,':',i2.2,1x,F11.4)
 c
 	   	goto 235
 	  endif
@@ -254,8 +269,8 @@
 c
       WRITE(CPUF,6003,IOSTAT=IER) SCAN,(BSORCE(I),I=1,12),
      .               iyr,imon,iday,xcoord,ycoord,im,is,dfreq
- 6003 FORMAT (f8.2,x,12a1,x,i4,'-',i2.2,'-',i2.2,x,2f10.4,
-     .                  x,i3,':',i2.2,x,F11.4)
+ 6003 FORMAT (f8.2,1x,12a1,1x,i4,'-',i2.2,'-',i2.2,1x,2f10.4,
+     .                  1x,i3,':',i2.2,1x,F11.4)
 c
 235   CALL PWRITE(IPUF,n90)
 c
@@ -267,7 +282,8 @@
       if (.not.okreal8(dtwh(c1sno,iptwh))) 
      .			call oerror(n224, m2, 'THUMB')
 c
-      if (dtwh(c1tel,iptwh).eq.nrao12m) then
+      if (dtwh(c1tel,iptwh).eq.value12m .or. 
+     .    dtwh(c1tel,iptwh).eq.valuesmt) then
         SA=DTWH(C2UXP,IPTWH)
         SE=DTWH(C2UYP,IPTWH)
         DECX=DTWH(C4EDC,IPTWH)
@@ -302,8 +318,8 @@
  7004   FORMAT (3X,'DEC',1X,4A2,3X,4A2)
         CALL PWRITE(IPUF,n80)
 c
-      else if (dtwh(c1tel,iptwh).eq.nrao140 .or.
-     1         dtwh(c1tel,iptwh).eq.nrao300 ) then
+      else if (dtwh(c1tel,iptwh).eq.value140 .or.
+     1         dtwh(c1tel,iptwh).eq.value300 ) then
 c
 	write(cpuf,9901) (dtwh(c2pc+k1-1,iptwh),k1=1,3)
 9901    format(' PVLS: ',1p3g15.6,' Arcmin')
@@ -320,7 +336,8 @@
 C                                        OSB
 C----------------------------------------------------------------
   270 CONTINUE
-      if (dtwh(c1tel,iptwh).eq.nrao12m) then
+      if (dtwh(c1tel,iptwh).eq.value12m .or.
+     .    dtwh(c1tel,iptwh).eq.valuesmt) then
 c				flip sign of c12fr, and c12dx
          dtwh(c12fr, iptwh) = - dtwh(c12fr, iptwh)
          dtwh(c12dx, iptwh) = - dtwh(c12dx, iptwh)
@@ -355,11 +372,11 @@
             dtwh(c9sb, iptwh) = 2
          endif
 c			and set/unset a flag in class 10
-         if (dtwh(c10pv, iptwh) .eq. osb) then
-            dtwh(c10pv, iptwh) = b8
-         else if (dtwh(c10pv, iptwh) .eq. b8 .or. 
+         if (dtwh(c10pv, iptwh) .eq. valueosb) then
+            dtwh(c10pv, iptwh) = valueb8
+         else if (dtwh(c10pv, iptwh) .eq. valueb8 .or. 
      .       dtwh(c10pv, iptwh) .eq. 0) then
-            dtwh(c10pv, iptwh) = osb
+            dtwh(c10pv, iptwh) = valueosb
          endif
       else
          call oerror(n248, m2, 'OSB')
